Shared Limits - Create

Enables sharing of a compute limit by the host subscription with its guest subscriptions.

PUT https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ComputeLimit/locations/{location}/sharedLimits/{name}?api-version=2026-07-31

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of the Azure region.

name
path True

string

pattern: ^[a-zA-Z0-9-]{3,24}$

The name of the SharedLimit

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SharedLimit

Resource 'SharedLimit' update operation succeeded

201 Created

SharedLimit

Resource 'SharedLimit' create operation succeeded

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create a shared limit

Sample request

PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/providers/Microsoft.ComputeLimit/locations/eastus/sharedLimits/StandardDSv3Family?api-version=2026-07-31

{
  "properties": {}
}

Sample response

{
  "id": "/subscriptions/12345678-1234-1234-1234-123456789012/providers/Microsoft.ComputeLimit/locations/eastus/sharedLimits/StandardDSv3Family",
  "name": "StandardDSv3Family",
  "type": "Microsoft.ComputeLimit/locations/sharedLimits",
  "properties": {
    "resourceName": {
      "value": "StandardDSv3Family",
      "localizedValue": "Standard DSv3 Family vCPUs"
    },
    "limit": 100,
    "unit": "Count",
    "provisioningState": "Succeeded"
  }
}
{
  "id": "/subscriptions/12345678-1234-1234-1234-123456789012/providers/Microsoft.ComputeLimit/locations/eastus/sharedLimits/StandardDSv3Family",
  "name": "StandardDSv3Family",
  "type": "Microsoft.ComputeLimit/locations/sharedLimits",
  "properties": {
    "resourceName": {
      "value": "StandardDSv3Family",
      "localizedValue": "Standard DSv3 Family vCPUs"
    },
    "limit": 100,
    "unit": "Count",
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

LimitName

Properties of the limit name.

ResourceProvisioningState

The provisioning state of the resource.

SharedLimit

Compute limits shared by the subscription.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

LimitName

Properties of the limit name.

Name Type Description
localizedValue

string

The localized limit name.

value

string

The limit name.

ResourceProvisioningState

The provisioning state of the resource.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

SharedLimit

Compute limits shared by the subscription.

Name Type Default value Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.limit

integer (int32)

The maximum permitted usage of the resource.

properties.provisioningState

ResourceProvisioningState

The provisioning state of the resource.

properties.resourceName

LimitName

The limit name properties.

properties.unit

string

Count

The quota units, such as Count.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.